## CORBA Interface IFileInfo

The FileInfo interface provides additional information about a SAS Fileref. This interface cannot make any changes to any attributes.

### Definition

CORBA Module SAS

### IFileInfo Description

CORBA Definitions
enum Status | Possible values for the status of the physical file that this fileref refers to.
method GetInfoProperties | Returns host/engine specific properties of the fileref.
method GetStandardProperties | Returns properties that are common to all hosts (called General Properties in the SAS Explorer.)
attribute StatusMessage | Returns a textual analog of the StatusValue attribute; indicates the status of the physical file to which this fileref refers.
attribute StatusValue | One of the Status enumeration values; indicates the status of the physical file that this fileref refers to.
attribute PhysicalName | Name as known to the OS host.
attribute RecordFormat | Record Format.
attribute DataLength | Available data length.
attribute Filesize | Size of the file in bytes.
attribute ModifiedTime | The last time the file was modified.
attribute AccessMethod | Also known as the device-type on a FILENAME statement.

Java Classes
IFileInfoHelper | Used to manipulate the IFileInfo type
IFileInfoHolder | Used to process the IFileInfo type as an out parameter
Status | Possible values for the status of the physical file that this fileref refers to.
StatusHelper | Used to manipulate the Status type
StatusHolder | Used to process the Status type as an out parameter
StatusSeqHelper | Used to manipulate one dimensional arrays of the Status type
StatusSeqHolder | Used to process one dimensional arrays of the Status type as an out parameter
VariableArray2dOfStatusHelper | Used to manipulate two dimensional arrays of the Status type
VariableArray2dOfStatusHolder | Used to process two dimensional arrays of the Status type

Java Interfaces
IFileInfo | The FileInfo interface provides additional information about a SAS Fileref. This interface cannot make any changes to any attributes.

### IFileInfo_1_1 Description

CORBA Definitions
enum Status | Possible values for the status of the physical file that this fileref refers to.
method GetInfoProperties | Returns host/engine specific properties of the fileref.
method GetStandardProperties | Returns properties that are common to all hosts (called General Properties in the SAS Explorer.)
attribute StatusMessage | Returns a textual analog of the StatusValue attribute; indicates the status of the physical file to which this fileref refers.
attribute StatusValue | One of the Status enumeration values; indicates the status of the physical file that this fileref refers to.
attribute PhysicalName | Name as known to the OS host.
attribute RecordFormat | Record Format.
attribute DataLength | Available data length.
attribute Filesize | Size of the file in bytes.
attribute ModifiedTime | The last time the file was modified.
attribute AccessMethod | Also known as the device-type on a FILENAME statement.
method StatusValueEx |

Java Classes
IFileInfo_1_1Helper | Used to manipulate the IFileInfo_1_1 type
IFileInfo_1_1Holder | Used to process the IFileInfo_1_1 type as an out parameter
Status | Possible values for the status of the physical file that this fileref refers to.
StatusHelper | Used to manipulate the Status type
StatusHolder | Used to process the Status type as an out parameter
StatusSeqHelper | Used to manipulate one dimensional arrays of the Status type
StatusSeqHolder | Used to process one dimensional arrays of the Status type as an out parameter
VariableArray2dOfStatusHelper | Used to manipulate two dimensional arrays of the Status type
VariableArray2dOfStatusHolder | Used to process two dimensional arrays of the Status type

Java Interfaces
IFileInfo_1_1 | The FileInfo interface provides additional information about a SAS Fileref. This interface cannot make any changes to any attributes.

Java Interface IFileInfo

The FileInfo interface provides additional information about a SAS Fileref. This interface cannot make any changes to any attributes.

Package com.sas.iom.SAS

IFileInfo Description

`public interface IFileInfo
extends org.omg.CORBA.Object`

Method Summary

void | GetInfoProperties ( StringSeqHolder propertyNames , StringSeqHolder propertyValues ) throws ( GenericError ); Returns host/engine specific properties of the fileref.
void | GetStandardProperties ( StringSeqHolder propertyNames , StringSeqHolder propertyValues ) throws ( GenericError ); Returns properties that are common to all hosts (called General Properties in the SAS Explorer.)

Java Class IFileInfoHelper

public class IFileInfoHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IFileInfo type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IFileInfoHelper

Java Class IFileInfoHolder

public class IFileInfoHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IFileInfo type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IFileInfoHolder

CORBA Enum Status

Possible values for the status of the physical file that this fileref refers to.

Description

Usage

Member | Description
--- | ---
StatusFileExists | Everything is OK.
StatusDeviceOffline | The device is offline.
StatusDeviceNotAttached | The hardware is not attached.
StatusBadFile | The name exists but is not a physical file.
StatusNoDetect | The status of the physical file can only be determined after being opened.
StatusNotDisk | The device is not a disk.
StatusNoFile | The physical file does not exist.
StatusUnknownWarning | Check the StatusMessage attribute.
StatusUnknownError | Check the StatusMessage attribute.

Java Class Status

public class Status

    java.lang.Object
      |
      +--com.sas.iom.SAS.IFileInfo_1_0Package.Status

Java Class StatusHelper

public class StatusHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the Status type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IFileInfo_1_0Package.StatusHelper

Java Class StatusHolder

public class StatusHolder

Description
Implementing class for methods (_read, _write, _type) used to process the Status type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IFileInfo_1_0Package.StatusHolder

Java Class StatusSeqHelper

public class StatusSeqHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate singly dimensioned arrays of Status type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IFileInfo_1_0Package.StatusSeqHelper

Java Class StatusSeqHolder

public class StatusSeqHolder

Description
Implementing class for methods (_read, _write, _type) used to process singly dimensioned arrays of the Status type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IFileInfo_1_0Package.StatusSeqHolder

Java Class VariableArray2dOfStatusHelper

public class VariableArray2dOfStatusHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate doubly dimensioned arrays of Status type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IFileInfo_1_0Package.VariableArray2dOfStatusHelper

Java Class VariableArray2dOfStatusHolder

public class VariableArray2dOfStatusHolder

Description
Implementing class for methods (_read, _write, _type) used to process doubly dimensioned arrays of the Status type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IFileInfo_1_0Package.VariableArray2dOfStatusHolder

CORBA Method GetInfoProperties

Returns host/engine specific properties of the fileref.

Description
This method is most suited for displaying the information to the user in a properties type of dialog. Use of this information in logic is not advised since this information will be different between hosts and may change between releases of SAS.

Usage

Java Method GetInfoProperties

`void` GetInfoProperties (

        StringSeqHolder propertyNames ,
        StringSeqHolder propertyValues
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
propertyNames | out | StringSeqHolder | A returned array of property names that corresponds to what is returned in the propertyValues.
propertyValues | out | StringSeqHolder | A set of values for each property name returned in propertyNames.

Example

CORBA Method GetStandardProperties

Returns properties that are common to all hosts (called General Properties in the SAS Explorer.)

Description
These properties are also available as individual attributes on this interface. Programmers should choose to call GetStandardProperties when displaying all properties to the user; and call individual properties when using that property. This minimizes the number of out-of-process calls.

Usage
A returned array of property names that corresponds to what is returned in the propertyValues.

Java Method GetStandardProperties

`void` GetStandardProperties (

        StringSeqHolder propertyNames ,
        StringSeqHolder propertyValues
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
propertyNames | out | StringSeqHolder |
propertyValues | out | StringSeqHolder | Returns a set of values for each property name returned in propertyNames.

Example

CORBA Attribute StatusMessage (readonly)

Returns a textual analog of the StatusValue attribute; indicates the status of the physical file to which this fileref refers.

Description

Usage

Java Method StatusMessage

    public java.lang.String StatusMessage ();

CORBA Attribute StatusValue (readonly)

One of the Status enumeration values; indicates the status of the physical file that this fileref refers to.

Description

Usage

Java Method StatusValue

    public int StatusValue ();

CORBA Attribute PhysicalName (readonly)

Name as known to the OS host.

Description
The fileref name is a logical name that refers to this physical name. The format of the physical name is dependent on the operating system and the access method. One of the reasons for having a fileref refer to they physical name is that the fileref can be used the same, without regard to the underlying physical medium.

Usage

Java Method PhysicalName

    public java.lang.String PhysicalName ();

CORBA Attribute RecordFormat (readonly)

Record Format.

Description

Usage

Java Method RecordFormat

    public java.lang.String RecordFormat ();

CORBA Attribute DataLength (readonly)

Available data length.

Description

Usage

Java Method DataLength

    public int DataLength ();

CORBA Attribute Filesize (readonly)

Size of the file in bytes.

Description

Usage

Java Method Filesize

    public double Filesize ();

CORBA Attribute ModifiedTime (readonly)

The last time the file was modified.

Description
The last time that the file was modified. This is generally in some form of local time.

This local time may be based on the timezone of the SAS IOM server, or it may be the local time of the computer that stored the timestamp. No guarantee is made about whose local time is represented. Also, time zone is not just set by geography, but also by Daylight Savings Time changes. Thus, the same computer can read and write timestamps in different time zones in different parts of the year.

For some files on some hosts, it may be possible to retrieve a date, but not time-of-day. In some other cases, even the date may be unknown. For unknown dates, SAS base date of January 1 1960 will generally be returned.

Given the number of filesystems with which SAS interacts, it not possible to guarantee the accuracy of this datetime.

Usage

Java Method ModifiedTime

    public DateTime ModifiedTime ();

CORBA Attribute AccessMethod (readonly)

Also known as the device-type on a FILENAME statement.

Description
The access method determines what the underlying physical medium is, and how to interpret the physical name. Various hosts support different access methods.

Usage

Java Method AccessMethod

    public java.lang.String AccessMethod ();

IFileInfo_1_1 Description

`public interface IFileInfo_1_1
Extends IFileInfo`

Method Summary

void | StatusValueEx ( org.omg.CORBA.IntHolder value , org.omg.CORBA.StringHolder stringValue ) throws ( GenericError );

Java Class IFileInfo_1_1Helper

public class IFileInfo_1_1Helper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IFileInfo_1_1 type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IFileInfo_1_1Helper

Java Class IFileInfo_1_1Holder

public class IFileInfo_1_1Holder

Description
Implementing class for methods (_read, _write, _type) used to process the IFileInfo_1_1 type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IFileInfo_1_1Holder

CORBA Method StatusValueEx

Description

Usage

Java Method StatusValueEx

`void` StatusValueEx (

        org.omg.CORBA.IntHolder value ,
        org.omg.CORBA.StringHolder stringValue
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
value | out | org.omg.CORBA.IntHolder |
stringValue | out | org.omg.CORBA.StringHolder |

Example